@keyframes slide-in {
  0% {
    transform: translateX(100%); }
  100% {
    transform: translateX(0); } }
@keyframes slide-out {
  0% {
    transform: translateX(0); }
  100% {
    transform: translateX(100%); } }
@keyframes show {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }
@keyframes hide {
  0% {
    opacity: 1; }
  100% {
    opacity: 0; } }
.menu-toggle {
  display: none;
  background: none;
  border: none;
  box-shadow: none;
  position: relative;
  text-indent: -500vw;
  width: 4rem;
  height: 4rem; }
  .menu-toggle span {
    position: absolute;
    top: 50%;
    left: 10%;
    width: 80%;
    height: 3px;
    margin-top: -1px;
    border-radius: 4px;
    color: #666;
    background-color: currentColor;
    transition: background-color 0.3s;
    transition-delay: 0.3s; }
    .menu-toggle span:before, .menu-toggle span:after {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      width: 60%;
      height: 3px;
      margin-left: auto;
      margin-right: auto;
      border-radius: 4px;
      display: inline-block;
      background: #333;
      transition: transform 0.3s, width 0.3s, margin-top 0.3s;
      transition-delay: 0s, 0s, 0.3s; }
    .menu-toggle span:before {
      margin-top: -1rem; }
    .menu-toggle span:after {
      margin-top: 1rem; }
  .menu-toggle[aria-expanded="true"] span {
    color: #333;
    transition: background-color 0.3s;
    transition-delay: 0s; }
  .menu-toggle:hover span:before, .menu-toggle:hover span:after {
    width: 100%;
    transition: width 0.3s; }

.ui-dialog.mainmenu {
  position: fixed !important;
  width: 100% !important;
  height: 100% !important;
  top: 0 !important;
  left: 0 !important;
  padding: 0;
  border: none;
  background: none; }
  .ui-dialog.mainmenu:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(5px);
    animation: show 0.3s; }
  .ui-dialog.mainmenu .ui-dialog-titlebar,
  .ui-dialog.mainmenu .ui-dialog-content {
    animation: slide-in 0.3s; }
  .ui-dialog.mainmenu .ui-dialog-titlebar {
    background: #999;
    border: none;
    margin: 0;
    padding: 0;
    height: 0;
    z-index: 3; }
    .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-title {
      display: none; }
    .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close {
      position: absolute;
      top: calc(25px / 2);
      right: 1.5rem;
      text-indent: -300vw;
      color: #333;
      width: 4rem;
      height: 4rem;
      display: inline-block;
      padding: 0;
      margin: 0;
      box-shadow: none;
      border: none;
      border-radius: 100%;
      background: none;
      overflow: hidden; }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close .ui-icon {
        display: none; }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:before, .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:after {
        content: "";
        width: 2rem;
        height: 2px;
        background: currentColor;
        position: absolute;
        top: 50%;
        left: 50%;
        margin: -1px 0 0 -10px;
        transition: transform 0.3s; }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:before {
        transform: rotate(45deg); }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:after {
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg); }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:hover:before, .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:hover:after {
        -webkit-transition: transform 0.5s;
        transition: transform 0.5s; }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:hover:before {
        -webkit-transform: rotate(225deg);
        transform: rotate(225deg); }
      .ui-dialog.mainmenu .ui-dialog-titlebar .ui-dialog-titlebar-close:hover:after {
        -webkit-transform: rotate(135deg);
        transform: rotate(135deg); }
  .ui-dialog.mainmenu .ui-dialog-content {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    display: inline-block;
    width: auto !important;
    min-width: 50%;
    max-width: 100%;
    height: 100% !important;
    overflow: auto;
    overflow-x: hidden; }
  .ui-dialog.mainmenu.close {
    display: block !important; }
    .ui-dialog.mainmenu.close:before {
      animation: hide 0.3s; }
    .ui-dialog.mainmenu.close .ui-dialog-titlebar,
    .ui-dialog.mainmenu.close .ui-dialog-content {
      animation: slide-out 0.3s; }
  .ui-dialog.mainmenu ul.menu {
    font-size: 2.4rem;
    font-weight: 600;
    padding: 0 0 2rem 0;
    background-color: #fff; }
    .ui-dialog.mainmenu ul.menu li {
      margin: 0;
      padding: 0 1rem;
      display: block;
      max-height: 100%;
      transition: max-height 0.5s; }
      .ui-dialog.mainmenu ul.menu li a {
        text-decoration: none;
        color: #333;
        display: block;
        padding: 1rem;
        transition: color 0.3s, background-color 0.3s; }
        .ui-dialog.mainmenu ul.menu li a:hover {
          background-color: #999;
          color: #fff; }
    .ui-dialog.mainmenu ul.menu .back {
      display: flex;
      align-items: center;
      padding: 0 2rem;
      height: 6.5rem;
      max-height: none !important;
      border: none;
      color: #333;
      background-color: #ccc;
      position: sticky;
      top: 0;
      left: 0;
      width: 100%;
      z-index: 2; }
      .ui-dialog.mainmenu ul.menu .back button,
      .ui-dialog.mainmenu ul.menu .back span {
        visibility: hidden;
        opacity: 0;
        transition: visibility 0.3s, opacity 0.3s; }
      .ui-dialog.mainmenu ul.menu .back button {
        display: inline-block;
        overflow: hidden;
        width: auto;
        height: 4rem;
        padding-left: 4rem;
        margin: 0 1rem 0 -0.5rem;
        border: none;
        font-weight: 600;
        color: #333;
        background-color: transparent;
        position: relative; }
        .ui-dialog.mainmenu ul.menu .back button span:first-child {
          display: inline-block;
          text-indent: -500vw; }
        .ui-dialog.mainmenu ul.menu .back button:before, .ui-dialog.mainmenu ul.menu .back button:after {
          content: "";
          position: absolute;
          top: 50%;
          left: 2rem;
          display: inline-block;
          width: 1rem;
          height: 1rem;
          margin-top: -0.6rem;
          margin-left: -0.3rem;
          border: 2px solid currentColor;
          border-right: 0;
          border-top: 0;
          transform: rotate(45deg);
          transition: margin-left 0.3s; }
        .ui-dialog.mainmenu ul.menu .back button:after {
          opacity: 0.5; }
        .ui-dialog.mainmenu ul.menu .back button:hover:before {
          margin-left: -1.3rem; }
        .ui-dialog.mainmenu ul.menu .back button:hover:after {
          margin-left: -0.8rem; }
      .ui-dialog.mainmenu ul.menu .back + li {
        margin-top: 1rem; }
    .ui-dialog.mainmenu ul.menu > li > a, .ui-dialog.mainmenu ul.menu > li span, .ui-dialog.mainmenu ul.menu > li button {
      transform: translateX(0);
      transition: transform 0.3s; }
    .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button {
      position: relative; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a:before, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span:before, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button:before, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button:after {
        content: "";
        position: absolute;
        top: 50%;
        right: 2rem;
        display: inline-block;
        width: 1rem;
        height: 1rem;
        margin-top: -0.7rem;
        border: 2px solid currentColor;
        border-left: 0;
        border-bottom: 0;
        transform: rotate(45deg);
        transition: right 0.3s; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button:after {
        opacity: 0.5; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a:hover:before, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span:hover:before, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button:hover:before {
        right: 1rem; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > a:hover:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded span:hover:after, .ui-dialog.mainmenu ul.menu > li.menu-item--expanded button:hover:after {
        right: 1.5rem; }
    .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > ul.menu {
      position: absolute;
      top: 0;
      left: 0;
      margin: 0;
      padding-top: 7.5rem;
      width: 100%;
      height: 100%;
      z-index: 1;
      transform: translateX(100%);
      visibility: hidden;
      transition: transform 0.3s, visibility 0.3s; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded > ul.menu li {
        max-height: 0; }
    .ui-dialog.mainmenu ul.menu > li.menu-item--expanded.open > ul.menu {
      transform: translateX(0);
      visibility: visible; }
      .ui-dialog.mainmenu ul.menu > li.menu-item--expanded.open > ul.menu li {
        max-height: 100%; }
    .ui-dialog.mainmenu ul.menu.submenu-open > li {
      max-height: 0; }
      .ui-dialog.mainmenu ul.menu.submenu-open > li > a, .ui-dialog.mainmenu ul.menu.submenu-open > li span, .ui-dialog.mainmenu ul.menu.submenu-open > li button {
        transform: translateX(-100%);
        visibility: hidden;
        transition: transform 0.3s, visibility 0.3s; }
    .ui-dialog.mainmenu ul.menu.submenu-open .back button,
    .ui-dialog.mainmenu ul.menu.submenu-open .back span {
      transform: none;
      visibility: visible;
      opacity: 1;
      transition: opacity 0.3s, visibility 0.3s; }
  .ui-dialog.mainmenu + .ui-widget-overlay {
    display: none; }

body.touch-device .ui-dialog.mainmenu ul.menu .back button:before {
  transition: none; }
body.touch-device .ui-dialog.mainmenu ul.menu .back button:after {
  display: none; }
body.touch-device .ui-dialog.mainmenu ul.menu .back button:hover:before {
  margin-left: inherit; }
body.toolbar-horizontal .ui-dialog.mainmenu .ui-dialog-titlebar {
  margin-top: 8rem; }
body.toolbar-horizontal .ui-dialog.mainmenu ul.menu .back {
  margin-top: 8rem; }
body.toolbar-horizontal .ui-dialog.mainmenu ul.menu ul.menu {
  margin-top: 8rem; }
  body.toolbar-horizontal .ui-dialog.mainmenu ul.menu ul.menu ul.menu {
    margin-top: 0; }
body.toolbar-vertical .ui-dialog.mainmenu .ui-dialog-titlebar {
  margin-top: 4rem; }
body.toolbar-vertical .ui-dialog.mainmenu ul.menu .back {
  margin-top: 4rem; }
body.toolbar-vertical .ui-dialog.mainmenu ul.menu ul.menu {
  margin-top: 4rem; }
  body.toolbar-vertical .ui-dialog.mainmenu ul.menu ul.menu ul.menu {
    margin-top: 0; }

@media screen and (max-width: 50em) {
  .ui-dialog.mainmenu .ui-dialog-content {
    min-width: 40rem; } }
@media screen and (max-width: 29.9375em) {
  .ui-dialog.mainmenu .ui-dialog-content {
    min-width: 100%; } }
